<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.11030
Name: Rubriek 30 Psychosociale en cognitieve ontwikkeling
Description: Vastleggen van de psychische ontwikkeling aan de hand van leeftijdsspecifieke fasen, in relatie tot de sociale context en het milieu.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000">
   <title>Rubriek 30 Psychosociale en cognitieve ontwikkeling</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11030
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]
Item: (rubricCluster30)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11030
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]
Item: (rubricCluster30)
-->

   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]"
         id="tmp-0808dd3a-ae42-491b-87c5-27b250901f69">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="string(@classCode)='CLUSTER' or not(@classCode)">(rubricCluster30): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricCluster30): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']/@nullFlavor)">(rubricCluster30): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030'])&lt;=1">(rubricCluster30): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="count(hl7:code[(@code='R030' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')])&gt;=1 and not(hl7:code[(@code='R030' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')]/@nullFlavor)">(rubricCluster30): element hl7:code[(@code='R030' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="count(hl7:code[(@code='R030' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')])&lt;=1">(rubricCluster30): element hl7:code[(@code='R030' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]]/@nullFlavor)">(rubricCluster30): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]])&lt;=1">(rubricCluster30): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]])&lt;=1">(rubricCluster30): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]])&lt;=1">(rubricCluster30): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]])&lt;=1">(rubricCluster30): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11030
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:templateId
Item: (rubricCluster30)
-->

   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:templateId"
         id="tmp-fa63aaa2-1ea7-4d36-9260-71e8b9cb16e3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(rubricCluster30): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.11030'">(rubricCluster30): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11030' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11030
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:code[(@code='R030' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')]
Item: (rubricCluster30)
-->

   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:code[(@code='R030' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')]"
         id="tmp-a5569160-826a-4c43-b1ec-1f3aec491750">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(rubricCluster30): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11030-2012-08-01T000000.html"
              test="@nullFlavor or (@code='R030' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')">(rubricCluster30): de elementwaarde MOET zijn code 'R030' codeSystem '2.16.840.1.113883.2.4.4.40.391'.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11030
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]]
Item: (rubricCluster30)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40259
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]
Item: (obs_Psychosociale_en_cognitieve_ontwikkeling_onder)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40259
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]]
Item: (obs_Psychosociale_en_cognitieve_ontwikkeling_onder)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]]"
         id="tmp-d3f30be3-b6cc-4bc8-8da2-f58ce9872e51">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]/@nullFlavor)">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']])&lt;=1">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40259
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]]/hl7:observation
Item: (obs_Psychosociale_en_cognitieve_ontwikkeling_onder)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]]/hl7:observation"
         id="tmp-e6b060d7-2080-42f1-a242-356ca679b294">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="string(@negationInd)='false'">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']/@nullFlavor)">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259'])&lt;=1">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="count(hl7:code[(@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:code[(@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="count(hl7:code[(@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:code[(@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40259
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']
Item: (obs_Psychosociale_en_cognitieve_ontwikkeling_onder)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']"
         id="tmp-bda58c2f-71ff-41fd-97c1-05f6a6174822">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40259'">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40259' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40259
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]]/hl7:observation/hl7:code[(@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (obs_Psychosociale_en_cognitieve_ontwikkeling_onder)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]]/hl7:observation/hl7:code[(@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-dd2b0ec9-fc85-4629-a335-5acdcd04be20">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="@nullFlavor or (@code='259' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): de elementwaarde MOET zijn code '259' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40259
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]]/hl7:observation/hl7:value
Item: (obs_Psychosociale_en_cognitieve_ontwikkeling_onder)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]]/hl7:observation/hl7:value"
         id="tmp-4d716b80-d618-4a02-83a7-bc177955f24c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:BL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40259-2012-08-01T000000.html"
              test="string-length(@xsi:type)&gt;0">(obs_Psychosociale_en_cognitieve_ontwikkeling_onder): attribute @xsi:type MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40259
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]]/hl7:observation/hl7:component1[hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]]
Item: (obs_Psychosociale_en_cognitieve_ontwikkeling_onder)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40259
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40259']]]/hl7:observation/hl7:component2[hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]]
Item: (obs_Psychosociale_en_cognitieve_ontwikkeling_onder)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11030
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]]
Item: (rubricCluster30)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40265
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]
Item: (obs_Bijzonderheden_psychische_en_sociale_ontwikkel)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40265
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]]
Item: (obs_Bijzonderheden_psychische_en_sociale_ontwikkel)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]]"
         id="tmp-101437bf-e797-41ed-97af-81be4a029c94">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]/@nullFlavor)">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']])&lt;=1">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40265
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]]/hl7:observation
Item: (obs_Bijzonderheden_psychische_en_sociale_ontwikkel)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]]/hl7:observation"
         id="tmp-a9676604-6e05-4ffd-a37a-92d224a10e44">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="string(@negationInd)='false'">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']/@nullFlavor)">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265'])&lt;=1">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="count(hl7:code[(@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:code[(@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="count(hl7:code[(@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:code[(@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40265
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']
Item: (obs_Bijzonderheden_psychische_en_sociale_ontwikkel)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']"
         id="tmp-aa021fbe-2e43-4596-987b-58218cfe3af5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40265'">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40265' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40265
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]]/hl7:observation/hl7:code[(@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (obs_Bijzonderheden_psychische_en_sociale_ontwikkel)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]]/hl7:observation/hl7:code[(@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-8d836747-cc8a-4256-b038-c84d0091bb4f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="@nullFlavor or (@code='265' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): de elementwaarde MOET zijn code '265' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40265
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_psychische_en_sociale_ontwikkel)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]]/hl7:observation/hl7:value"
         id="tmp-6021fffb-2a39-4557-8d81-001ae265372f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40265-2012-08-01T000000.html"
              test="string-length(@xsi:type)&gt;0">(obs_Bijzonderheden_psychische_en_sociale_ontwikkel): attribute @xsi:type MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40265
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]]/hl7:observation/hl7:component1[hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]]
Item: (obs_Bijzonderheden_psychische_en_sociale_ontwikkel)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40265
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40265']]]/hl7:observation/hl7:component2[hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]]
Item: (obs_Bijzonderheden_psychische_en_sociale_ontwikkel)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11030
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]]
Item: (rubricCluster30)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40814
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]
Item: (obs_Bijzonderheden_cognitieve_ontwikkeling)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40814
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]]
Item: (obs_Bijzonderheden_cognitieve_ontwikkeling)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]]"
         id="tmp-3e39e9dd-44e3-4d10-b671-e8993bb3bd7b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]/@nullFlavor)">(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']])&lt;=1">(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40814
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]]/hl7:observation
Item: (obs_Bijzonderheden_cognitieve_ontwikkeling)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]]/hl7:observation"
         id="tmp-73a4e31a-fdc1-4876-a366-937e8f33a6a3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(obs_Bijzonderheden_cognitieve_ontwikkeling): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(obs_Bijzonderheden_cognitieve_ontwikkeling): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="string(@negationInd)='false'">(obs_Bijzonderheden_cognitieve_ontwikkeling): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']/@nullFlavor)">(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814'])&lt;=1">(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="count(hl7:code[(@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:code[(@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="count(hl7:code[(@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:code[(@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_cognitieve_ontwikkeling): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40814
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']
Item: (obs_Bijzonderheden_cognitieve_ontwikkeling)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']"
         id="tmp-c6a354f7-55c1-4a5d-9d52-8107da908b2f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_cognitieve_ontwikkeling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40814'">(obs_Bijzonderheden_cognitieve_ontwikkeling): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40814' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40814
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]]/hl7:observation/hl7:code[(@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (obs_Bijzonderheden_cognitieve_ontwikkeling)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]]/hl7:observation/hl7:code[(@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-e516b23f-40c0-4a61-ad47-34bbd4bf605c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_cognitieve_ontwikkeling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="@nullFlavor or (@code='814' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_cognitieve_ontwikkeling): de elementwaarde MOET zijn code '814' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40814
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_cognitieve_ontwikkeling)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]]/hl7:observation/hl7:value"
         id="tmp-946d945d-446d-48bb-a616-c4ac63a90728">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_cognitieve_ontwikkeling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40814-2012-08-01T000000.html"
              test="string-length(@xsi:type)&gt;0">(obs_Bijzonderheden_cognitieve_ontwikkeling): attribute @xsi:type MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40814
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]]/hl7:observation/hl7:component1[hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]]
Item: (obs_Bijzonderheden_cognitieve_ontwikkeling)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40814
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40814']]]/hl7:observation/hl7:component2[hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]]
Item: (obs_Bijzonderheden_cognitieve_ontwikkeling)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11030
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]]
Item: (rubricCluster30)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41440
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]
Item: (obs_Menstekening)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41440
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]]
Item: (obs_Menstekening)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]]"
         id="tmp-64a7fcdc-83e2-4c38-96e1-58f260cd1969">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]/@nullFlavor)">(obs_Menstekening): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']])&lt;=1">(obs_Menstekening): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41440
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]]/hl7:observation
Item: (obs_Menstekening)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]]/hl7:observation"
         id="tmp-5fb83b4d-c66e-456a-b99e-0f0b45f94cee">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(obs_Menstekening): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(obs_Menstekening): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="string(@negationInd)='false'">(obs_Menstekening): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']/@nullFlavor)">(obs_Menstekening): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440'])&lt;=1">(obs_Menstekening): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(obs_Menstekening): element hl7:code[(@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="count(hl7:code[(@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(obs_Menstekening): element hl7:code[(@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="count(hl7:value[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.417') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.417')])&gt;=1 ">(obs_Menstekening): element hl7:value[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.417') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.417')] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="count(hl7:value[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.417') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.417')])&lt;=1">(obs_Menstekening): element hl7:value[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.417') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.417')] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41440
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']
Item: (obs_Menstekening)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']"
         id="tmp-4a4abdc9-20fc-4e89-b6c5-6cefd5e11d0c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Menstekening): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.41440'">(obs_Menstekening): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41440' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41440
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]]/hl7:observation/hl7:code[(@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (obs_Menstekening)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]]/hl7:observation/hl7:code[(@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-7f72105a-0105-42e8-9620-0c3a97614766">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Menstekening): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="@nullFlavor or (@code='1440' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Menstekening): de elementwaarde MOET zijn code '1440' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41440
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]]/hl7:observation/hl7:value[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.417') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.417')]
Item: (obs_Menstekening)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]]/hl7:observation/hl7:value[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.417') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.417')]"
         id="tmp-8db26d5d-a619-4bac-b5b2-d6841791cde3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Menstekening): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.665-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.665-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(obs_Menstekening): de waarde van @code MOET worden gekozen uit waardenlijst W0665_HL7 W0665 Menstekening (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(obs_Menstekening): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0665_HL7 W0665 Menstekening (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.41440-2012-08-01T000000.html"
              test="string-length(@xsi:type)&gt;0">(obs_Menstekening): attribute @xsi:type MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41440
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]]/hl7:observation/hl7:component1[hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]]
Item: (obs_Menstekening)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.41440
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41440']]]/hl7:observation/hl7:component2[hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]]
Item: (obs_Menstekening)
--></pattern>
